#if !defined(AFX_PAGESTARTUP_H__82E2D77D_3271_492C_8363_0A5F27B6E596__INCLUDED_)
#define AFX_PAGESTARTUP_H__82E2D77D_3271_492C_8363_0A5F27B6E596__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PageStartup.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPageStartup dialog

#include "cservice.h"

class CPageStartup : public CPropertyPage
{
	DECLARE_DYNCREATE(CPageStartup)

// Construction
public:
	CPageStartup();
	~CPageStartup();

    void SetService(CService* instance);

// Dialog Data
	//{{AFX_DATA(CPageStartup)
	enum { IDD = IDD_SERVICE_STARTUP_PAGE };
	CEdit	m_ecServiceName;
	CEdit	m_ecPassword2;
	CButton	m_btAllowServiceToInteractWithDesktop;
	CButton	m_btLogonAsUser;
	CButton	m_btLogonAsSystem;
	CEdit	m_ecPassword;
	CEdit	m_ecUserName;
	int		m_dwStartupType;
	CString	m_strDescription;
	CString	m_strDisplayName;
	CString	m_strBinaryPathName;
	CString	m_strServiceName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageStartup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    CService* m_pService;
    void IOnBrowseImagePath();
    void OnSaveData(CDataExchange* pDX);
    void OnLoadData(CDataExchange* pDX);
	// Generated message map functions
	//{{AFX_MSG(CPageStartup)
	afx_msg void OnLogonAsUser();
	afx_msg void OnLogonSystemAccount();
	afx_msg void OnBrowseImagePath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGESTARTUP_H__82E2D77D_3271_492C_8363_0A5F27B6E596__INCLUDED_)
